log4cplus::helpers::BaseEventCounter Class Reference

`#include <eventcounter.h>`

Inheritance diagram for log4cplus::helpers::BaseEventCounter:
[legend]

## Public Member Functions

| BaseEventCounter ()
virtual | ~BaseEventCounter ()
virtual std::size_t | record_event ()

## Protected Attributes

std::atomic< std::size_t > | event_count {0}

## Detailed Description

Definition at line 45 of file eventcounter.h.

## Constructor & Destructor Documentation

## BaseEventCounter()

log4cplus::helpers::BaseEventCounter::BaseEventCounter | ( |  | ) |

## ~BaseEventCounter()

virtual log4cplus::helpers::BaseEventCounter::~BaseEventCounter | ( |  | ) |

virtual

## Member Function Documentation

## record_event()

virtual std::size_t log4cplus::helpers::BaseEventCounter::record_event | ( |  | ) |

virtual

## Member Data Documentation

## event_count

std::atomic<std::size_t> log4cplus::helpers::BaseEventCounter::event_count {0}

protected

Definition at line 54 of file eventcounter.h.

The documentation for this class was generated from the following file:

- eventcounter.h